Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Tag: Android estudio

Android Studio AAPT err: error libpng: No es un archivo PNG

Tengo la búsqueda de todas las posibles soluciones disponibles, pero todavía estoy enfrentando el mismo problema con error poco claro para mí. Ahora el error completo es- AAPT err (Fachada para 370671127): error de libpng: No es un archivo PNG Error: Error de ejecución para la tarea ': app: mergeDebugResources'. Se ha producido un error […]

Android Studio no puede encontrar clases de biblioteca después de Gradle build

Estoy intentando agregar una biblioteca .jar a mi proyecto en la carpeta /libs . Aquí está mi grade.build : buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.4' } } apply plugin: 'android' dependencies { compile files('libs/android-support-v4.jar', 'libs/java-api-wrapper-1.2.0-all.jar') } android { compileSdkVersion 17 buildToolsVersion "17.0.0" defaultConfig { minSdkVersion 15 targetSdkVersion 16 } } Después […]

No se puede crear una aplicación cuando se usa gradle (Android Studio) y local maven repo

Estoy tratando de incluir la biblioteca Slik y tarjetas de interfaz de usuario en mi aplicación, estoy usando android estudio y gradle para construir. La aplicación genera bien sin esto, pero la adición de la dependencia hace que la generación falla. Mirando el registro de depuración de la compilación no parece estar buscando en el […]

Android Studio: Buildtools 24.0.1 requiere Java 1.8 o superior.

Estoy tratando de configurar un entorno de desarrollo de Android en Mac. Mi punto de partida es Java 1.7 creo. Así que instalé android studio y abrí el proyecto que me gustaría construir. Y dice: Error:Buildtools 24.0.1 requires Java 1.8 or above. Current JDK version is 1.7. Así que fui y descargar Java 1.8 u101 […]

¿Por qué Android Studio no encuentra mis recursos?

La inspección de código de Android Studio parece no encontrar ninguno de los recursos específicos del proyecto. Por ejemplo my styles.xml <resources> <style name="AppBaseTheme" parent="Holo.Theme.Light.DarkActionBar"> </style> <!– Application theme. –> <style name="AppTheme" parent="AppBaseTheme"> </style> </resources> Marca el segundo AppBaseTheme rojo y dice: "No se puede resolver el símbolo 'AppBaseTheme'". La aplicación compila y se ejecuta […]

Autogeneración de Android TAG de registro en Android Studio / Intellij idea

En Intellij Idea cuando psfs y luego presione Ctrl + J IDE me estaba haciendo un diálogo: Y cuando presiono Enter tengo una Sé dónde puedo personalizar mi propia salida Pero no puedo cualquier documento de cómo puedo escribir mi propia plantilla en vivo. Al final quiero obtener el siguiente resultado: psfst : psfst -> […]

¿Cómo probar las aplicaciones de Android en un dispositivo real con Android Studio?

Comencé a desarrollar en Android con Android Studio IDE , probé mis aplicaciones en el emulator y funciona bien, pero cuando traté de probar las aplicaciones directamente en mi dispositivo no lo reconoce y la consola muestra el siguiente mensaje: Esperando por el dispositivo. Dispositivo USB no encontrado He configurado "Dispositivo USB" en Ejecutar> Editar […]

La actualización de Android Studio 0.2.6 rompió mi proyecto, me pide que configure jdk

He actualizado Android Studio a 0.2.6 hoy y hay rojo en todas partes en mi proyecto ahora. Cuando hago clic para ver la corrección automática me pide que configure jdk. Después de seleccionar Setup JDK , aparecerá la siguiente pantalla: Lo que yo elija, no pasa nada. Todo permanece en rojo, y si vuelvo a […]

Android Studio 0.4: No se pudo encontrar el método jniDir ()

Al actualizar a Android Studio 0.4, que utiliza el plugin androide gradle 0.7.0 y gradle 1.9, se produce el siguiente error: Org.gradle.api.internal.MissingMethodException: No se pudo encontrar el método jniDir () … Que se refiere a las siguientes líneas en mi build.gradle: tasks.withType(com.android.build.gradle.tasks.PackageApplication) { pkgTask -> pkgTask.jniDir new File(projectDir, 'native-libs') } PS: Estas respuestas solucionaron todas […]

Travis CI Build falla en la aplicación de Android Versión de major.minor no compatible 52

Estoy intentando construir usando Travis CI en mi proyecto de Android con este archivo .travis.yml language: android android: components: – platform-tools – tools – build-tools-23.0.3 – android-23 – sys-img-armeabi-v7a-android-23 – sys-img-x86-android-23 Aquí está mi nivel de aplicación build.gradle: apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion "23.0.3" defaultConfig { applicationId "com.myname.myproject" minSdkVersion 19 targetSdkVersion 23 […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.